#include "DxLib.h"
#include "Player.h"

int WINAPI WinMain(HINSTANCE,HINSTANCE,LPSTR,int){
	ChangeWindowMode(TRUE),DxLib_Init(),SetDrawScreen( DX_SCREEN_BACK );

	CPlayer Player;
	Player.Initialize();// 初期化

	while( ScreenFlip()==0 && ProcessMessage()==0 && ClearDrawScreen()==0 ){

		Player.Update();	// 計算
		Player.Draw();	// 描画

	}

	Player.Finalize();  // 終了処理

	DxLib_End();
	return 0;
}
